[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.OnGetEditText

Event handler signalled to get the value for a cell editor in the grid.

## Declaration

Source position: grids.pas line 1560

`public property TCustomDrawGrid.OnGetEditText : TGetEditEvent read FOnGetEditText write FOnGetEditText;`

## Description

OnGetEditText is a TGetEditEvent property with the event handler signalled to get the value for a cell editor on the grid control. It is signalled (when assigned) from the GetEditText method, and provides the value dispatched in a GM_SETVALUE message to the Editor control.

## See also

TCustomDrawGrid.GetEditText |  | Gets the text displayed in the Editor for the specified cell.
TCustomGrid.EditorDoSetValue |  | Sets the mask and value for a visible cell editor in the grid control.
TGetEditEvent |  | Specifies an event handler used to get edit values or masks in a grid.